Index: /doc/latex/classbdm_1_1mmix__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1mmix__coll__graph.eps (revision 261)
+++ /doc/latex/classbdm_1_1mmix__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 196 346
+%%PageBoundingBox: 36 36 196 342
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 160 310 boxprim clip newpath
+36 36 160 306 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -254,5 +254,5 @@
 % Node3
 gsave
-[ /Rect [ 7 281 91 301 ]
+[ /Rect [ 7 277 91 297 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -260,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 7 280 moveto
-7 301 lineto
-92 301 lineto
-92 280 lineto
+newpath 7 276 moveto
+7 297 lineto
+92 297 lineto
+92 276 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 7 280 moveto
-7 301 lineto
-92 301 lineto
-92 280 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-14.5 287.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 7 276 moveto
+7 297 lineto
+92 297 lineto
+92 276 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+14.5 283.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node3->Node2
@@ -282,24 +282,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 31 273 moveto
-24 264 16 253 12 242 curveto
--6 188 19 119 29 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 28.45 275.4 moveto
-38 280 lineto
-33.4 270.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 28.45 275.4 moveto
-38 280 lineto
-33.4 270.45 lineto
+newpath 31 269 moveto
+24 260 16 249 12 238 curveto
+-6 185 19 118 29 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 28.45 271.4 moveto
+38 276 lineto
+33.4 266.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 28.45 271.4 moveto
+38 276 lineto
+33.4 266.45 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 21 221 77 241 ]
+[ /Rect [ 21 217 77 237 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -307,20 +307,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 21 220 moveto
-21 241 lineto
-77 241 lineto
-77 220 lineto
+newpath 21 216 moveto
+21 237 lineto
+77 237 lineto
+77 216 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 21 220 moveto
-21 241 lineto
-77 241 lineto
-77 220 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-29 227.5 moveto 40 (bdm::RV) alignedtext
+newpath 21 216 moveto
+21 237 lineto
+77 237 lineto
+77 216 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+29 223.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node3->Node4
@@ -329,23 +329,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 49 270 moveto
-49 260 49 249 49 241 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 45.5 270 moveto
-49 280 lineto
-52.5 270 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 45.5 270 moveto
-49 280 lineto
-52.5 270 lineto
+newpath 49 266 moveto
+49 256 49 245 49 237 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 45.5 266 moveto
+49 276 lineto
+52.5 266 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 45.5 266 moveto
+49 276 lineto
+52.5 266 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 72 147 136 167 ]
+[ /Rect [ 72 145 136 165 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1epdf.html) >>
@@ -353,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 72 146 moveto
-72 167 lineto
-137 167 lineto
-137 146 lineto
+newpath 72 144 moveto
+72 165 lineto
+137 165 lineto
+137 144 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 72 146 moveto
-72 167 lineto
-137 167 lineto
-137 146 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-79.5 153.5 moveto 49 (bdm::epdf) alignedtext
+newpath 72 144 moveto
+72 165 lineto
+137 165 lineto
+137 144 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+79.5 151.5 moveto 49 (bdm::epdf) alignedtext
 grestore
 % Node3->Node5
@@ -375,19 +375,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 65 272 moveto
-73 263 81 253 86 242 curveto
-98 216 102 184 103 167 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 62.2 269.9 moveto
-59 280 lineto
-67.8 274.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 62.2 269.9 moveto
-59 280 lineto
-67.8 274.1 lineto
+newpath 65 268 moveto
+73 259 81 249 86 238 curveto
+97 213 101 181 103 165 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 62.2 265.9 moveto
+59 276 lineto
+67.8 270.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 62.2 265.9 moveto
+59 276 lineto
+67.8 270.1 lineto
 closepath stroke
 grestore
@@ -397,73 +397,70 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 47 210 moveto
-44 177 38 117 35 93 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 43.52 210.4 moveto
-48 220 lineto
-50.49 209.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 43.52 210.4 moveto
-48 220 lineto
-50.49 209.7 lineto
+newpath 47 206 moveto
+44 174 38 116 35 93 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 43.52 206.4 moveto
+48 216 lineto
+50.49 205.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 43.52 206.4 moveto
+48 216 lineto
+50.49 205.7 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-46.5 161 moveto 9 (rv) alignedtext
+44 152.5 moveto 14 (rvc) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 64 208 moveto
+74 194 88 176 96 165 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 61.2 205.9 moveto
+58 216 lineto
+66.8 210.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 61.2 205.9 moveto
+58 216 lineto
+66.8 210.1 lineto
+closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-44 148 moveto 14 (rvc) alignedtext
-grestore
-% Node4->Node5
+78.5 188.5 moveto 9 (rv) alignedtext
+grestore
+% Node5->Node2
 gsave
 1 setlinewidth
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 63 212 moveto
-74 198 88 179 96 167 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 60.2 209.9 moveto
-57 220 lineto
-65.8 214.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 60.2 209.9 moveto
-57 220 lineto
-65.8 214.1 lineto
+newpath 86 137 moveto
+72 123 55 105 44 93 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 83.45 139.4 moveto
+93 144 lineto
+88.4 134.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 83.45 139.4 moveto
+93 144 lineto
+88.4 134.45 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-78.5 192.5 moveto 9 (rv) alignedtext
-grestore
-% Node5->Node2
-gsave
-1 setlinewidth
-dashed
-0.776 0.753 0.804 edgecolor
-newpath 86 138 moveto
-73 124 55 105 44 93 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 83.78 140.78 moveto
-93 146 lineto
-89.05 136.17 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 83.78 140.78 moveto
-93 146 lineto
-89.05 136.17 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-74 116.5 moveto 12 (ep) alignedtext
+76 116.5 moveto 12 (ep) alignedtext
 grestore
 % Node6
@@ -497,18 +494,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 108 136 moveto
-111 122 115 104 117 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 104.53 135.51 moveto
-106 146 lineto
-111.39 136.88 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 104.53 135.51 moveto
-106 146 lineto
-111.39 136.88 lineto
+newpath 108 134 moveto
+111 121 115 104 117 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 104.53 133.51 moveto
+106 144 lineto
+111.39 134.88 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 104.53 133.51 moveto
+106 144 lineto
+111.39 134.88 lineto
 closepath stroke
 grestore
@@ -544,5 +541,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 196 346
+%%BoundingBox: 36 36 196 342
 end
 restore
Index: /doc/latex/classbdm_1_1datalink__m2e__inherit__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2e__inherit__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2e__inherit__graph.eps (revision 270)
@@ -254,26 +254,26 @@
 % Node2
 gsave
-[ /Rect [ 4 117 108 137 ]
+[ /Rect [ 16 117 96 137 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classbdm_1_1datalink__e2e.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1datalink.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 4 116 moveto
-4 137 lineto
-109 137 lineto
-109 116 lineto
+newpath 16 116 moveto
+16 137 lineto
+97 137 lineto
+97 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 4 116 moveto
-4 137 lineto
-109 137 lineto
-109 116 lineto
+newpath 16 116 moveto
+16 137 lineto
+97 137 lineto
+97 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-11.5 123.5 moveto 89 (bdm::datalink_e2e) alignedtext
+23.5 123.5 moveto 65 (bdm::datalink) alignedtext
 grestore
 % Node2->Node1
Index: /doc/latex/classbdm_1_1MixEF__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1MixEF__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1MixEF__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 271 494
+%%PageBoundingBox: 36 36 271 482
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 235 458 boxprim clip newpath
+36 36 235 446 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -347,5 +347,5 @@
 % Node4
 gsave
-[ /Rect [ 44 429 128 449 ]
+[ /Rect [ 44 417 128 437 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -353,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 44 428 moveto
-44 449 lineto
-129 449 lineto
-129 428 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 44 428 moveto
-44 449 lineto
-129 449 lineto
-129 428 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-51.5 435.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 44 416 moveto
+44 437 lineto
+129 437 lineto
+129 416 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 44 416 moveto
+44 437 lineto
+129 437 lineto
+129 416 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+51.5 423.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -375,24 +375,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 68 420 moveto
-61 412 53 401 49 390 curveto
-37 360 35 323 35 305 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 65.78 422.78 moveto
-75 428 lineto
-71.05 418.17 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 65.78 422.78 moveto
-75 428 lineto
-71.05 418.17 lineto
+newpath 68 408 moveto
+61 400 53 389 49 378 curveto
+39 353 36 321 35 305 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 65.78 410.78 moveto
+75 416 lineto
+71.05 406.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 65.78 410.78 moveto
+75 416 lineto
+71.05 406.17 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 58 369 114 389 ]
+[ /Rect [ 58 357 114 377 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -400,20 +400,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 58 368 moveto
-58 389 lineto
-114 389 lineto
-114 368 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 58 368 moveto
-58 389 lineto
-114 389 lineto
-114 368 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-66 375.5 moveto 40 (bdm::RV) alignedtext
+newpath 58 356 moveto
+58 377 lineto
+114 377 lineto
+114 356 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 58 356 moveto
+58 377 lineto
+114 377 lineto
+114 356 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+66 363.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -422,18 +422,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 86 418 moveto
-86 408 86 397 86 389 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 82.5 418 moveto
-86 428 lineto
-89.5 418 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 82.5 418 moveto
-86 428 lineto
-89.5 418 lineto
+newpath 86 406 moveto
+86 396 86 385 86 377 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 82.5 406 moveto
+86 416 lineto
+89.5 406 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 82.5 406 moveto
+86 416 lineto
+89.5 406 lineto
 closepath stroke
 grestore
@@ -468,19 +468,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 104 420 moveto
-111 412 119 401 123 390 curveto
-134 360 134 323 133 305 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 100.95 418.17 moveto
-97 428 lineto
-106.22 422.78 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 100.95 418.17 moveto
-97 428 lineto
-106.22 422.78 lineto
+newpath 104 408 moveto
+111 400 119 389 123 378 curveto
+132 353 133 321 132 305 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 100.95 406.17 moveto
+97 416 lineto
+106.22 410.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 100.95 406.17 moveto
+97 416 lineto
+106.22 410.78 lineto
 closepath stroke
 grestore
@@ -490,49 +490,46 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 74 359 moveto
-64 342 49 319 41 305 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 71.08 360.96 moveto
-79 368 lineto
-77.2 357.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 71.08 360.96 moveto
-79 368 lineto
-77.2 357.56 lineto
+newpath 72 348 moveto
+62 334 50 316 42 305 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 69.2 350.1 moveto
+78 356 lineto
+74.8 345.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 69.2 350.1 moveto
+78 356 lineto
+74.8 345.9 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-66.5 341 moveto 15 (drv) alignedtext
+64.5 328.5 moveto 15 (drv) alignedtext
+grestore
+% Node5->Node9
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 99 347 moveto
+107 334 119 316 126 305 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 95.63 345.74 moveto
+93 356 lineto
+101.46 349.62 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 95.63 345.74 moveto
+93 356 lineto
+101.46 349.62 lineto
+closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-69.5 328 moveto 9 (rv) alignedtext
-grestore
-% Node5->Node9
-gsave
-1 setlinewidth
-dashed
-0.776 0.753 0.804 edgecolor
-newpath 97 359 moveto
-106 342 119 319 127 305 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 93.8 357.56 moveto
-92 368 lineto
-99.92 360.96 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 93.8 357.56 moveto
-92 368 lineto
-99.92 360.96 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-114.5 334.5 moveto 9 (rv) alignedtext
+109.5 328.5 moveto 9 (rv) alignedtext
 grestore
 % Node6->Node1
@@ -755,5 +752,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 271 494
+%%BoundingBox: 36 36 271 482
 end
 restore
Index: /doc/latex/classbdm_1_1ArxDS__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1ArxDS__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1ArxDS__coll__graph.dot (revision 270)
@@ -18,5 +18,5 @@
   Node7 [label="bdm::mpdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1mpdf.html",tooltip="Conditional probability density, e.g. modeling some dependencies."];
   Node3 -> Node7 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node4 -> Node7 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rv\nrvc"];
+  Node4 -> Node7 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rvc"];
   Node8 -> Node7 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="ep"];
   Node8 [label="bdm::epdf",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1epdf.html",tooltip="Probability density function with numerical statistics, e.g. posterior density."];
@@ -42,4 +42,4 @@
   Node4 -> Node1 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="Rrv\nHrv"];
   Node16 -> Node1 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="rgrlnk"];
-  Node16 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node16 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
 }
Index: /doc/latex/classbdm_1_1BMEF__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1BMEF__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1BMEF__coll__graph.dot (revision 270)
@@ -8,5 +8,5 @@
   Node3 -> Node2 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node3 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node4 -> Node2 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node4 -> Node2 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node4 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node3 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/classbdm_1_1mmix__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1mmix__coll__graph.md5 (revision 261)
+++ /doc/latex/classbdm_1_1mmix__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-381b1b5084a831bf5b8c814404acd903
+b59b12b3cf90f4fc35e585081ea7a906
Index: /doc/latex/classbdm_1_1datalink__m2e__inherit__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2e__inherit__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2e__inherit__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-eff061f30aab1afce4a92547091a13c9
+c04d67bc67bd7011572fb558271e0f63
Index: /doc/latex/emix_8h__incl.dot
===================================================================
--- /doc/latex/emix_8h__incl.dot (revision 261)
+++ /doc/latex/emix_8h__incl.dot (revision 270)
@@ -10,11 +10,13 @@
   Node3 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
   Node4 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
-  Node5 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node5 -> Node2 [color="midnightblue",fontsize=10,style="solid"];
-  Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node2 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
+  Node5 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node6 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node6 -> Node2 [color="midnightblue",fontsize=10,style="solid"];
   Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
 }
Index: /doc/latex/classbdm_1_1MixEF__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1MixEF__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1MixEF__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-e5f28181ee3775755ba9130a203c23c7
+048dcfb99ba5c0d71c15d6d0db42811b
Index: /doc/latex/classbdm_1_1merger__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1merger__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1merger__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 482 574
+%%PageBoundingBox: 36 36 482 562
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 446 538 boxprim clip newpath
+36 36 446 526 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -441,5 +441,5 @@
 % Node4
 gsave
-[ /Rect [ 260 509 344 529 ]
+[ /Rect [ 260 497 344 517 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -447,20 +447,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 260 508 moveto
-260 529 lineto
-345 529 lineto
-345 508 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 260 508 moveto
-260 529 lineto
-345 529 lineto
-345 508 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-267.5 515.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 260 496 moveto
+260 517 lineto
+345 517 lineto
+345 496 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 260 496 moveto
+260 517 lineto
+345 517 lineto
+345 496 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+267.5 503.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -469,24 +469,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 285 500 moveto
-278 491 270 481 265 470 curveto
-252 440 248 403 246 385 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 282.78 502.78 moveto
-292 508 lineto
-288.05 498.17 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 282.78 502.78 moveto
-292 508 lineto
-288.05 498.17 lineto
+newpath 285 488 moveto
+278 479 270 469 265 458 curveto
+254 433 249 401 247 385 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 282.78 490.78 moveto
+292 496 lineto
+288.05 486.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 282.78 490.78 moveto
+292 496 lineto
+288.05 486.17 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 274 449 330 469 ]
+[ /Rect [ 274 437 330 457 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -494,20 +494,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 274 448 moveto
-274 469 lineto
-330 469 lineto
-330 448 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 274 448 moveto
-274 469 lineto
-330 469 lineto
-330 448 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-282 455.5 moveto 40 (bdm::RV) alignedtext
+newpath 274 436 moveto
+274 457 lineto
+330 457 lineto
+330 436 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 274 436 moveto
+274 457 lineto
+330 457 lineto
+330 436 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+282 443.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -516,18 +516,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 302 498 moveto
-302 488 302 477 302 469 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 298.5 498 moveto
-302 508 lineto
-305.5 498 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 298.5 498 moveto
-302 508 lineto
-305.5 498 lineto
+newpath 302 486 moveto
+302 476 302 465 302 457 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 298.5 486 moveto
+302 496 lineto
+305.5 486 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 298.5 486 moveto
+302 496 lineto
+305.5 486 lineto
 closepath stroke
 grestore
@@ -562,19 +562,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 318 500 moveto
-326 491 334 481 339 470 curveto
-352 440 356 403 357 385 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 315.2 497.9 moveto
-312 508 lineto
-320.8 502.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 315.2 497.9 moveto
-312 508 lineto
-320.8 502.1 lineto
+newpath 318 488 moveto
+326 479 334 469 339 458 curveto
+350 433 355 401 357 385 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 315.2 485.9 moveto
+312 496 lineto
+320.8 490.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 315.2 485.9 moveto
+312 496 lineto
+320.8 490.1 lineto
 closepath stroke
 grestore
@@ -584,22 +584,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 288 439 moveto
-277 422 261 399 253 385 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 285.54 441.62 moveto
-294 448 lineto
-291.37 437.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 285.54 441.62 moveto
-294 448 lineto
-291.37 437.74 lineto
+newpath 287 428 moveto
+276 414 262 396 254 385 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 284.2 430.1 moveto
+293 436 lineto
+289.8 425.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 284.2 430.1 moveto
+293 436 lineto
+289.8 425.9 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-280.5 414.5 moveto 9 (rv) alignedtext
+278.5 408.5 moveto 9 (rv) alignedtext
 grestore
 % Node5->Node8
@@ -608,26 +608,23 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 310 439 moveto
-315 428 321 415 329 404 curveto
-334 397 340 390 346 385 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 306.86 437.44 moveto
-306 448 lineto
-313.26 440.28 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 306.86 437.44 moveto
-306 448 lineto
-313.26 440.28 lineto
+newpath 313 427 moveto
+317 420 323 411 329 404 curveto
+334 397 341 390 346 385 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 309.8 425.56 moveto
+308 436 lineto
+315.92 428.96 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 309.8 425.56 moveto
+308 436 lineto
+315.92 428.96 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-328.5 421 moveto 15 (drv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-331.5 408 moveto 9 (rv) alignedtext
+328.5 408.5 moveto 15 (drv) alignedtext
 grestore
 % Node6
@@ -943,5 +940,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 482 574
+%%BoundingBox: 36 36 482 562
 end
 restore
Index: /doc/latex/classbdm_1_1datalink__m2m__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2m__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2m__coll__graph.eps (revision 270)
@@ -254,26 +254,26 @@
 % Node3
 gsave
-[ /Rect [ 4 117 108 137 ]
+[ /Rect [ 16 117 96 137 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classbdm_1_1datalink__e2e.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1datalink.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 4 116 moveto
-4 137 lineto
-109 137 lineto
-109 116 lineto
+newpath 16 116 moveto
+16 137 lineto
+97 137 lineto
+97 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 4 116 moveto
-4 137 lineto
-109 137 lineto
-109 116 lineto
+newpath 16 116 moveto
+16 137 lineto
+97 137 lineto
+97 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-11.5 123.5 moveto 89 (bdm::datalink_e2e) alignedtext
+23.5 123.5 moveto 65 (bdm::datalink) alignedtext
 grestore
 % Node3->Node2
Index: /doc/latex/classbdm_1_1EKFCh__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1EKFCh__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1EKFCh__coll__graph.dot (revision 270)
@@ -12,5 +12,5 @@
   Node5 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node5 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node6 -> Node4 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node6 -> Node4 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node6 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node5 -> Node6 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/classbdm_1_1EKFCh__cond__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1EKFCh__cond__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1EKFCh__cond__coll__graph.eps (revision 270)
@@ -725,8 +725,5 @@
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-319.5 621 moveto 15 (drv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-322.5 608 moveto 9 (rv) alignedtext
+319.5 614.5 moveto 15 (drv) alignedtext
 grestore
 % Node7->Node12
Index: /doc/latex/classbdm_1_1merger__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1merger__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1merger__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-e7eb92a699909cb48f26796657e06d1b
+0aba68d9609f2d6c3276a51f154b0267
